
colours=(
	'black'
	'blue'
	'brown'
	'cyan'
	'green'
	'grey'
	'light_blue'
	'lime'
	'magenta'
	'orange'
	'pink'
	'purple'
	'red'
	'silver'
	'white'
	'yellow'
)

for  (( i = 0; i < ${#colours[@]}; i++ )); do
    colour=${colours[$i]}
	tile="../../games/mineclonia/mods/ITEMS/mcl_colorblocks/textures/mcl_colorblocks_concrete_powder_${colour}.png"
	file="${colour}_concrete_powder.png"
	echo "Processing ${file}"
	magick ${tile} -level 0%,100%,0.50 textures/${file}
done
